// ++=========================================================================++
// || vBadvanced CMPS v4.2.1 ( vBulletin 4.0 - 4.2)
// ||  2003-2012 vBadvanced.com -   
// || http://vbadvanced.com
// ||  : Lazek  zCarot
// ++ ========================================================================++

var is_ie7 = false;

function check_all_array(allbox, inputname, secondary)
{
	if (secondary)
	{
		var matchname = inputname + "\\[" + secondary + "\\]";
	}
	else
	{
		var matchname = inputname;
	}

	var	allInputs	=	allbox.form.getElementsByTagName('input')

	for	(var i = 0;	i	<	allInputs.length;	i++)
	{
		if (allInputs[i].type	!= 'checkbox')
		{
			continue;
		}

		if (allInputs[i].name.match(matchname))
		{
			allInputs[i].checked = allbox.checked;
		}
	}
}


function wysiwyg_init(editordiv, startfocus) {
    var Dom = YAHOO.util.Dom,
			Event = YAHOO.util.Event;

    var myConfig = {
    		 // set the height to roughly the same as the textarea tag
        height: (document.getElementById(editordiv).rows * 16) + 10 + 'px',
        width: 'auto',
        animate: true,
        dompath: true,
        focusAtStart: startfocus
    };

    var state = 'off';

    var myEditor = new YAHOO.widget.Editor(editordiv, myConfig);


		// Set invalid HTML elements to blank
    myEditor.invalidHTML = { };

		var inputTags = document.getElementsByTagName('input');

		// attach the editor event to all submit buttons
		for (var i = 0; i < inputTags.length; i++) {
			if (inputTags[i].type == 'submit')
			{
				YAHOO.util.Event.on(inputTags[i].id, 'click', function() {
					if (state == 'off')
					{
						myEditor.saveHTML();
						myEditor.get('textarea').value = myEditor.get('element').value;
					}
				});
			}
		}


    myEditor.on('toolbarLoaded', function() {
        var config = {
            group: 'htmlcode',
            label: 'HTML',
            buttons: [
                { type: 'push', label: 'Edit HTML Code', value: 'editcode' }
            ]
        };
        this.toolbar.addSeparator();
        this.toolbar.addButtonGroup(config);

        this.toolbar.on('editcodeClick', function() {
            var ta = this.get('element'),
                iframe = this.get('iframe').get('element');

            if (state == 'on') {
                state = 'off';
                this.toolbar.set('disabled', false);
                this.setEditorHTML(ta.value);
                if (!this.browser.ie) {
                    this._setDesignMode('on');
                }

                Dom.removeClass(iframe, 'editor-hidden');
                Dom.addClass(ta, 'editor-hidden');
                this.show();
                this._focusWindow();
            } else {
                state = 'on';
                Dom.addClass(iframe, 'editor-hidden');
                Dom.removeClass(ta, 'editor-hidden');
                this.toolbar.set('disabled', true);
                this.toolbar.getButtonByValue('editcode').set('disabled', false);
                this.toolbar.selectButton('editcode');
                this.dompath.innerHTML = 'Editing HTML Code';
                this.hide();
            }
            return false;
        }, this, true);



        this.on('afterRender', function() {
            var wrapper = this.get('editor_wrapper');
            wrapper.appendChild(this.get('element'));
            this.setStyle('width', '100%');
            this.setStyle('height', '100%');
            this.setStyle('visibility', '');
            this.setStyle('top', '');
            this.setStyle('left', '');
            this.setStyle('position', '');

            this.addClass('editor-hidden');
        }, this, true);
    }, myEditor, true);
    myEditor.render();
}; 


function preview_bbcode(previewtype)
{
	xml_sender = new vB_AJAX_Handler(true);
	xml_sender.init();

	if(!is_ajax_compatible())
	{
		return true;
	}

	if (previewtype == 'module')
	{
		var inputname = 'module[options]';
		var contenttype = document.vbform.elements["module[inctype]"].value;
	}
	else
	{
		var inputname = 'setting[custompage]';
		var contenttype = document.vbform.elements["page[type]"].value;
	}

	// Attributes to send
	var att_send = new String('do=preview&previewtype=' + previewtype + '&type=' + contenttype);

	att_send = att_send + "&title=" + document.vbform.elements[previewtype + "[title]"].value;
	att_send = att_send + "&colspan=" + document.vbform.elements[previewtype + "[colspan]"].value;

	// Module
	if (previewtype == 'module')
	{
		att_send = att_send + "&modid=" + document.vbform.elements["modid"].value;
		att_send = att_send + "&altshell=" + document.vbform.elements["module[altshell]"].value;
		att_send = att_send + "&cssfiles=" + document.vbform.elements["module[cssfiles]"].value;
		att_send = att_send + "&wysiwyg=" + document.vbform.elements["wysiwyg"].value;

		if (document.vbform.elements["module[useshell][enable]"][0].checked)
		{
			att_send = att_send + "&useshell=1";
		}
	}
	// Page
	else
	{
		if (document.vbform.elements["page[useshell]"][0].checked)
		{
			att_send = att_send + "&useshell=1";
		}

		var customtitle = document.vbform.elements["page[custom_title]"].value;

		if (customtitle)
		{
			att_send = att_send + "&customtitle=" + PHP.urlencode(customtitle);
		}
	}

	switch (contenttype)
	{
		// ##### BB code
		case 'bb_code':

			if (document.vbform.elements[inputname + "[allow_html]"].checked)
			{
				att_send = att_send + "&html=1";
			}

			if (document.vbform.elements[inputname + "[allow_smilies]"].checked)
			{
				att_send = att_send + "&smilies=1";
			}

			if (document.vbform.elements[inputname + "[allow_image_code]"].checked)
			{
				att_send = att_send + "&imgcode=1";
			}

			att_send = att_send + "&message=" + PHP.urlencode(vB_Editor['vB_Editor_001'].get_editor_contents());

		break;

		// ##### PHP File
		case 'php_file':

			if (previewtype == 'page')
			{
				att_send = att_send + "&filename=" + document.vbform.elements["page[filename]"].value;
			}
			else
			{
				att_send = att_send + "&filename=" + document.vbform.elements["module[filename]"].value;

				if (document.vbform.elements[inputname + "[load_bbcode_parser]"][0].checked)
				{
					att_send = att_send + "&load_bbcode=1";
				}

				var templatesused = document.vbform.elements["module[templatelist]"].value;

				if (templatesused)
				{
					att_send = att_send + "&templatesused=" + PHP.urlencode(templatesused);
				}

				var modvarsinput = document.vbform.elements["modulevars"].value;
				var modvars = modvarsinput.split(',');

				var modidentifier = document.vbform.elements["module[identifier]"].value

				att_send = att_send + "&identifier=" + modidentifier;

				if (modvars)
				{
					for (i in modvars)
					{
						var setting_val = document.vbform.elements["setting[adv_portal_" + modidentifier + "][" + modvars[i] + "]"];
						var value_send = null;

						if (setting_val != undefined)
						{
							// Text / select
							if (setting_val.value != undefined)
							{
								value_send = setting_val.value;
							}
							// Radio
							else if (setting_val.length)
							{
								for (var j = 0; j < setting_val.length; j++)
								{
									if (setting_val[j].checked)
									{
										value_send = setting_val[j].value;
									}
								}
							}
						}

						if (value_send != null)
						{
							att_send = att_send + "&setting[" + modvars[i] + "]=" + PHP.urlencode(value_send);
						}
					}
				}
			}

		break;

		// ##### Template
		case 'template':

			if (document.vbform.elements['template'])
			{
				var tempcontent = document.vbform.elements['template'].value;

				if (tempcontent)
				{
					att_send = att_send + "&template=" + document.vbform.elements["template"].value;
				}
			}

			if (previewtype == 'page')
			{
				att_send = att_send + "&filename=" + document.vbform.elements["page[template]"].value;
			}
			else
			{
				att_send = att_send + "&filename=adv_portal_" + document.vbform.elements["module[filename]"].value;
			}

		break;
	}

	xml_sender.onreadystatechange(fetch_preview_output);
	xml_sender.send("vba_cmps_admin.php", att_send);
	return false;
}

function fetch_preview_output()
{
	if (xml_sender.handler.readyState == 4 && xml_sender.handler.status == 200)
	{
		if (xml_sender.handler.responseXML && fetch_tags(xml_sender.handler.responseXML, 'module_preview')[0])
		{
			newwin = window.open('vba_cmps_admin.php?do=previewcode&type=module', 'previewwindow', 'resizable=1,toolbar=0,menubar=0,scrollbars=1,width=350,height=350');
			newwin.document.open();
			newwin.document.write(xml_sender.fetch_data(fetch_tags(xml_sender.handler.responseXML, 'module_preview')[0]));
			newwin.focus();
			newwin.document.close();
			return false;
		}
	}
	return false;
}