<?php
// ++=========================================================================++
// || vBadvanced CMPS v4.2.1 ( vBulletin 4.0 - 4.2)
// ||  2003-2012 vBadvanced.com -   
// || http://vbadvanced.com
// ||  : Lazek  zCarot
// ++ ========================================================================++

require_once(DIR . '/includes/functions_calendar.php');

$admincpdir =& $vbulletin->config['Misc']['admincpdir'];
$modcpdir =& $vbulletin->config['Misc']['modcpdir'];

if (can_moderate(0, 'canmoderateattachments'))
{
	$attachments = $db->query_first("SELECT COUNT(*) AS count FROM " . TABLE_PREFIX . "attachment WHERE state = 'moderation'");
	$attachments['count'] = vb_number_format($attachments['count']);
	$show['attachments'] = true;
}

if (can_moderate() AND can_moderate_calendar())
{
	$events = $db->query_first("SELECT COUNT(*) AS count FROM " . TABLE_PREFIX . "event WHERE visible = 0");
	$events['count'] = vb_number_format($events['count']);
	$show['events'] = true;
}

$users = $db->query_first("SELECT COUNT(*) AS count FROM " . TABLE_PREFIX . "user WHERE usergroupid = 4");
$users['count'] = vb_number_format($users['count']);

if (can_moderate(0, 'canmoderateposts'))
{
	$show['posts'] = true;
	$show['threads'] = true;

	if (can_moderate(0, 'canmoderatevisitormessages'))
	{
		$show['visitormessage'] = true;
	}

	$moditems = array();

	$getmoderation = $db->query_read("SELECT type FROM " . TABLE_PREFIX . "moderation WHERE type != 'groupmessage'");
	while ($moderation = $db->fetch_array($getmoderation))
	{
		$moditems[$moderation['type']]++;
	}

	$moditems['reply'] = vb_number_format($moditems['reply']);
	$moditems['thread'] = vb_number_format($moditems['thread']);
	$moditems['visitormessage'] = vb_number_format($moditems['visitormessage']);
}

($hook = vBulletinHook::fetch_hook('vba_cmps_module_moderate')) ? eval($hook) : false;

$templater = vB_Template::create('adv_portal_moderation');
$templater->register('admincpdir', $admincpdir);
$templater->register('attachments', $attachments);
$templater->register('bgclass', $bgclass);
$templater->register('events', $events);
$templater->register('modcpdir', $modcpdir);
$templater->register('moditems', $moditems);
$templater->register('template_hook', $template_hook);
$templater->register('users', $users);
$home["$mods[modid]"]['content'] = $templater->render();

?>